Package org.springframework.security.web.authentication

# Class HttpStatusEntryPoint

java.lang.Object
org.springframework.security.web.authentication.HttpStatusEntryPoint

All Implemented Interfaces:
  `AuthenticationEntryPoint`

public final class HttpStatusEntryPoint extends Object implements AuthenticationEntryPoint
An `AuthenticationEntryPoint` that sends a generic `HttpStatus` as a response. Useful for JavaScript clients which cannot use Basic authentication since the browser intercepts the response.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`HttpStatusEntryPoint(org.springframework.http.HttpStatus httpStatus)`
Creates a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException)`
Commences an authentication scheme.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpStatusEntryPoint

public HttpStatusEntryPoint(org.springframework.http.HttpStatus httpStatus)
Creates a new instance.

Parameters:
  `httpStatus` - the HttpStatus to set

## Method Details

### commence

public void commence(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.AuthenticationException authException)
Description copied from interface: `AuthenticationEntryPoint`
Commences an authentication scheme.

`ExceptionTranslationFilter` will populate the `HttpSession` attribute named `AbstractAuthenticationProcessingFilter.SPRING_SECURITY_SAVED_REQUEST_KEY` with the requested target URL before calling this method.

Implementations should modify the headers on the `ServletResponse` as necessary to commence the authentication process.

Specified by:
  `commence` in interface `AuthenticationEntryPoint`
Parameters:
  `request` - that resulted in an `AuthenticationException`
  `response` - so that the user agent can begin authentication
  `authException` - that caused the invocation